Skip to main content
POST
Add a comment to a post with an Ayrshare Post ID (posts sent via Ayrshare) or a Social Post ID (posts sent outside of Ayrshare) using the Comments API.
  • Comments added to an X Thread will be posted to the first Tweet.
  • Instagram Story comments are not yet supported by Meta.
  • See the platforms field below for supported platforms depending on the ID type.
Please see the Comments Overview for more information on the different ID types. Supported platforms: Bluesky, Facebook, Instagram, LinkedIn, Reddit, TikTok, X, and YouTube.

Header Parameters

Body Parameters

id
string
required
Ayrshare Post ID or Social Post ID from the /post endpoint.
comment
string
required
Text of the new comment to add to the post.
searchPlatformId
boolean
default:false
Set to true if posting a comment using the Social Post ID, which is the post id from the social networks.
platforms
array
required
Specify the platforms to add comments.If using an Ayrshare Post ID the supported platforms are: bluesky, facebook, instagram, linkedin, reddit, tiktok, twitter, youtube.If no platforms are specified, the comment will be published to all connected platforms that support comments.
Post a Comment with the Ayrshare Post ID
If using a Social Post ID the supported platforms are -only one platform allowed at a time : facebook, instagram, linkedin, tiktok, twitter.
Post a Comment with the Social Post ID
mediaUrls
array
Attach an image by providing the image URL for Facebook or X/Twitter.
Only one image is supported in the mediaUrls field. Supported platforms are Facebook, LinkedIn, and X/Twitter.
Post a Comment with an Image

@Mentions in Comments

You can include @mentions directly in the comment text string. There is no separate parameter for mentions. Simply add @handle in your comment text.
Comment with @Mention
LinkedIn Mentions: LinkedIn mentions are resolved server-side by Ayrshare. Use the LinkedIn Search endpoint to look up the correct vanity name or member name. For organizations, use @handle. For members, use @vanity_name or @[Full Name].
For detailed mention syntax and limitations per platform, see: See Post Verification for the platform-by-platform mention rules and recommendations.